.. -------------------------------------------------------------------------------
..  MIT License
.. 
..  Copyright (c) 2024 University College Cork (UCC)
.. 
..  Permission is hereby granted, free of charge, to any person obtaining a copy
..  of this software and associated documentation files (the "Software"), to deal
..  in the Software without restriction, including without limitation the rights
..  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
..  copies of the Software, and to permit persons to whom the Software is
..  furnished to do so, subject to the following conditions:
.. 
..  The above copyright notice and this permission notice shall be included in all
..  copies or substantial portions of the Software.
.. 
..  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
..  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
..  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
..  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
..  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
..  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
..  SOFTWARE.
.. 
..  
..  SPDX-License-Identifier: MIT
..  
..  Contributors:
..      Panagiotis Kyziropoulos - Author
..      Dimitrios Bikoulis - Co-author
.. 
.. -------------------------------------------------------------------------------
Native Installation
===================

Python Environment and NodeJS Setup
-----------------------------------

Using Virtualenv
~~~~~~~~~~~~~~~~

Create a Python virtual environment with Python 3.10::

   python3.10 -m venv venv

Activate the virtual environment:

- On Windows::

    venv \Scripts\activate

- On macOS/Linux::

    source venv/bin/activate

Install the Python requirements::

   pip install -r requirements.txt

Run the ``app.py`` service::

   python app.py

Navigate to the NodeJS service directory::

   cd example

Install the NodeJS dependencies::

   npm install

Start the NodeJS service::

   npm start


Using Conda
~~~~~~~~~~~

Create a Conda environment with Python 3.10::

   conda create -n myenv python=3.10

Activate the Conda environment::

   conda activate myenv

Install the Python requirements::

   pip install -r requirements.txt

Run the ``app.py`` service::

   python app.py

Navigate to the NodeJS service directory::

   cd example

Install the NodeJS dependencies::

   npm install

Start the NodeJS service::

   npm start